{
  "format_version": "1.10.0",
  "animation_controllers": {
	"controller.animation.sgs_farm.ride": {
      "states": {
        "default": {
          "on_entry": ["/scriptevent sgs_farm:stop_ride"],
		  "transitions": [
			{"active": "query.has_player_rider"}
          ]
        },
        "active": {
          "on_entry": ["/scriptevent sgs_farm:start_ride"],
		  "transitions": [
			{"default": "!query.has_player_rider || !query.is_alive"}
          ]
        }
      }
    }
  }
}


